Bug 444255 - SELinux is preventing amarokapp from changing the access protection of memory on the heap
SELinux is preventing amarokapp from changing the access protection of memory...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-25 23:49 EDT by Philip Ashmore
Modified: 2014-12-22 08:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:47:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
outupt of rpm -qa (23.27 KB, text/plain)
2008-04-25 23:53 EDT, Philip Ashmore
no flags Details

  None (edit)
Description Philip Ashmore 2008-04-25 23:49:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.14) Gecko/20080416 Fedora/2.0.0.14-1.fc8 Firefox/2.0.0.14

Description of problem:
I just did a fresh install from the original KDE live CD.
I updated everything to the latest version.
I can play ogg/vorbis audio just fine.
I wanted to play some .mp3's so I installed amarok-extras-nonfree.
I get an SELinux alert:

Summary:

SELinux is preventing amarokapp from changing the access protection of memory on
the heap.

Detailed Description:

The amarokapp application attempted to change the access protection of memory on
the heap (e.g., allocated using malloc). This is a potential security problem.
Applications should not be doing this. Applications are sometimes coded
incorrectly and request this permission. The SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. If amarokapp does not work and you need it to work, you
can configure SELinux temporarily to allow this access until the application is
fixed. Please file a bug report
(http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Allowing Access:

If you want amarokapp to continue, you must turn on the allow_execheap boolean.
Note: This boolean will affect all applications on the system.

The following command will allow this access:

setsebool -P allow_execheap=1

Additional Information:

Source Context                system_u:system_r:unconfined_t:s0
Target Context                system_u:system_r:unconfined_t:s0
Target Objects                None [ process ]
Source                        amarokapp
Source Path                   /usr/bin/amarokapp
Port                          <Unknown>
Host                          philipashmore.com
Source RPM Packages           amarok-1.4.8-5.fc8
Target RPM Packages           
Policy RPM                    selinux-policy-3.0.8-95.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   allow_execheap
Host Name                     philipashmore.com
Platform                      Linux philipashmore.com 2.6.24.4-64.fc8 #1 SMP Sat
                              Mar 29 09:54:46 EDT 2008 i686 i686
Alert Count                   1
First Seen                    Sat 26 Apr 2008 04:19:17 AM IST
Last Seen                     Sat 26 Apr 2008 04:19:17 AM IST
Local ID                      9948727c-57a5-46ad-94b3-0b002c0c955f
Line Numbers                  

Raw Audit Messages            

host=philipashmore.com type=AVC msg=audit(1209179957.731:29): avc:  denied  { execheap } for  pid=3391 comm="amarokapp" scontext=system_u:system_r:unconfined_t:s0 tcontext=system_u:system_r:unconfined_t:s0 tclass=process

host=philipashmore.com type=SYSCALL msg=audit(1209179957.731:29): arch=40000003 syscall=125 success=no exit=-13 a0=8078000 a1=84d000 a2=5 a3=bfac0340 items=0 ppid=3389 pid=3391 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) comm="amarokapp" exe="/usr/bin/amarokapp" subj=system_u:system_r:unconfined_t:s0 key=(null)


Version-Release number of selected component (if applicable):
amarok-1.4.8-5.fc8

How reproducible:
Couldn't Reproduce


Steps to Reproduce:
1. Do a fresh install and update to the list of packages I will attach.
2. Listen to an ogg/vorbis music file.
3. Try to listen to Internet radio & mp3 files - rummage around for the right RPM on the net.
4. Install amarok-extras-nonfree.
5. Restart amarok

Actual Results:
I got the above AVC denial.

After hunting around for bug reports and not finding any, I started amarok and ogg/vorbis, mp3 and internet radio all worked.

Expected Results:
I shouldn't have gotten that AVC denial.

Additional info:
Comment 1 Philip Ashmore 2008-04-25 23:53:35 EDT
Created attachment 303846 [details]
outupt of rpm -qa
Comment 2 Bug Zapper 2008-11-26 05:34:38 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Rex Dieter 2008-12-23 10:25:17 EST
I'd venture this is/was a ffmpeg/selinux issue, is it still reproducible with latest selinux-policy updates?
Comment 4 Bug Zapper 2009-01-09 02:47:45 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Philip Ashmore 2014-12-22 08:32:03 EST
I no longer have Fedora installed.
Please feel free to close this bug.

Note You need to log in before you can comment on or make changes to this bug.